std::experimental::optional::~optional(3)

NAME
std::experimental::optional::~optional - std::experimental::optional::~optional

Synopsis
   ~optional(); (library fundamentals TS)
   If the object contains a value and the type T is not trivially destructible (see
   std::is_trivially_destructible), destroys the contained value by calling its
   destructor, as if by val->T::~T().
   Otherwise, does nothing.

Notes
   If T is trivially-destructible, then this destructor is also trivial, so optional<T>
   is also trivially-destructible.